Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.
Chargebeechargebee API

List scheduled changes for omnichannel subscription item

Returns scheduled changes for the specified omnichannel_subscription_item.

Scheduled changes are created when the store will apply a product or pause change later (typically at term end), for example:

  • Apple App Store: Scheduled downgrade within the same subscription group.
  • Google Play Store: Product changes using the DEFERRED replacement mode. Immediate changes (CHARGE_PRORATED_PRICE) do not create a scheduled-change resource.

Use this API when has_scheduled_changes is true. See also omnichannel_subscription_item_scheduled_change and omnichannel events.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/omnichannel_subscription_items/{omnichannel-subscription-item-id}/scheduled_changes

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Omnichannel subscription item scheduled change object

Resource object representing Omnichannel subscription item scheduled changes